import * as React from 'react';
export declare class ErrorBoundary extends React.PureComponent {
    state: {
        error: boolean;
    };
    static getDerivedStateFromError(): {
        error: boolean;
    };
    componentDidCatch(error: Error): void;
    render(): {} | null | undefined;
}
